Skip site navigation (1) Skip section navigation (2)

Re: FW: PostgreSQL (real and effective user ids must match) error

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: forum(at)lostlink(dot)net
Cc: pgsql-admin(at)postgresql(dot)org
Subject: Re: FW: PostgreSQL (real and effective user ids must match) error
Date: 2005-04-24 00:12:44
Message-ID: 24133.1114301564@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-admin
"Nuno Souto" <forum(at)lostlink(dot)net> writes:
> I can't seem to figure out what to do, whenever I try to start rhdb service
> I get:

> Starting postgresql service: /usr/bin/postmaster: real and effective user
> ids must match
> postmaster successfully started
> [ FAILED ]

This suggests a problem with the script that's launching the postmaster,
but you have not given us any information about what that script is.
For starters, what's the platform exactly, what's the postgres version
exactly, and how did you install it (from source?  from RPM --- if so,
whose, and which version?)

			regards, tom lane

In response to

pgsql-admin by date

Next:From: Alan DonaldDate: 2005-04-24 09:43:20
Subject: Database Corruption, Tables, Databases missing
Previous:From: Tom LaneDate: 2005-04-23 23:53:40
Subject: Re: delete to slow

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group